Package org.eclipse.mat.internal.apps

# Class ParseSnapshotApp

java.lang.Object
org.eclipse.mat.internal.apps.ParseSnapshotApp

All Implemented Interfaces:
  `IApplication`

public class ParseSnapshotApp extends Object implements IApplication
Opens and parses a dump into a snapshot and runs reports on the snapshot.

## Field Summary

### Fields inherited from interface org.eclipse.equinox.app.IApplication

`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

## Constructor Summary

Constructors
Constructor
Description
`ParseSnapshotApp()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`start(IApplicationContext context)`
`void`
`stop()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParseSnapshotApp

public ParseSnapshotApp()

## Method Details

### start

public Object start(IApplicationContext context) throws Exception

Specified by:
  `start` in interface `IApplication`
Throws:
  `Exception`

### stop

public void stop()

Specified by:
  `stop` in interface `IApplication`